> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Issued Checks



## OpenAPI

````yaml api-reference/openapi-payments.json GET /check
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /check:
    get:
      tags:
        - Check Issuing
      summary: List Issued Checks
      parameters:
        - description: ID of the Account issuing the check. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: >-
            ID of the organization with which the object is associated.
            Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: Status of check. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_11gag8g8aw8tzv
                        amount: '10.05'
                        check_date: '2021-11-09T22:39:48Z'
                        check_number: '12012'
                        created_at: '2021-11-09T22:39:48Z'
                        id: ch_11grny5mfhvjnp
                        memo: presidential pension
                        message: >-
                          Presidential pension for November 2021. Please deposit
                          within 60 days.
                        recipient:
                          address:
                            city: Washington
                            postal_code: '20003'
                            state: DC
                            street_line_1: 1600 Pennsylvania Ave.
                            street_line_2: ''
                          name: George Washington
                        status: pending
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: ID of the Account issuing the check. Filterable.
                          type: string
                        amount:
                          description: >-
                            Amount of money to transfer, with two decimal
                            precision
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        check_date:
                          description: Date on which the check was issued
                          type: string
                        check_number:
                          description: >-
                            The number printed on the issued check. Check
                            numbers are automatically generated after check
                            object creation
                          type: string
                        delivery_method:
                          description: >-
                            Delivery options for sending the check with the
                            default being standard USPS shipping. For USPS First
                            Class, Overnight, Two Day, and USPS Certified
                            delivery options please contact support to ensure
                            your account is properly configured for sending
                            through those methods.
                          type: string
                        error:
                          description: >-
                            An error message of why the check is in error
                            status.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        memo:
                          description: >-
                            Optional text to include on the memo line of the
                            check (max of 40 characters)
                          type: string
                        message:
                          description: >-
                            Optional text to include on the bottom of the check
                            page (maximum of 400 characters)
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated. Filterable.
                          type: string
                        recipient:
                          description: Recipient of the check
                          properties:
                            address:
                              description: Address of the recipient
                              properties:
                                city:
                                  description: City (max 21 characters)
                                  type: string
                                postal_code:
                                  description: >-
                                    Postal code (5-digit or 5+4 Zip Code for
                                    U.S. addresses)
                                  type: string
                                state:
                                  description: State (max 2 characters)
                                  type: string
                                street_line_1:
                                  description: >-
                                    First line of the address (max 35
                                    characters)
                                  type: string
                                street_line_2:
                                  description: >-
                                    Optional second line of the address (max 35
                                    characters)
                                  type: string
                              type: object
                            name:
                              description: Name of the recipient
                              type: string
                          type: object
                        signatory_name:
                          description: >-
                            The name of the person or entity being used as the
                            signatory on this check
                          type: string
                        status:
                          description: Status of check. Filterable.
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` check elements, starting after the check described by
            `page_cursor`. If no more checks are available, the resulting list
            will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````